blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
e6f64d07cc6373864c9f481b2c1a6ce93c9fe280 | Shell | sybond/MiSphere-hack | /firmware/usr/local/share/script/load.sh | UTF-8 | 1,585 | 3.328125 | 3 | [] | no_license | #!/bin/sh
if [ ! -e /tmp/wifi.preloaded ]; then
/usr/local/share/script/preload.sh
fi
rm -f /tmp/wifi.preloaded
KO=bcmdhd.ko
# BCM will get name by configure.
BCM=bcmdhd
P_FW="firmware_path=/usr/local/${BCM}/fw"
P_NVRAM="nvram_path=/usr/local/${BCM}/nvram.txt"
P_IF="iface_name=wlan"
P_DBG="dhd_msg_level=0x00"
load_... | true |
c3c21999c2bb3967de1422908e02771495adc351 | Shell | diegoep/field-workshops-terraform | /instruqt-tracks/sentinel-for-terraform-v1/exercise-4/check-sentinel | UTF-8 | 1,702 | 3.09375 | 3 | [] | no_license | #!/bin/sh -l
set -e
grep -q "google_compute_instance" restrict-gcp-instance-image.sentinel || fail-message "You have not replaced '<data_source_type>' with 'google_compute_instance' yet."
grep -qL "<expression_1>" restrict-gcp-instance-image.sentinel && fail-message "You have not replaced '<expression_1>' yet."
gre... | true |
48a9069ec31677889f8f3e44c13d980ad26226ee | Shell | rbrecheisen/scripts | /imagemend/misc/nii_to_txt.sh | UTF-8 | 610 | 3.203125 | 3 | [] | no_license | #!/bin/bash
subj_f="/data/raw_data/imagemend/uio/smri/subjects.csv"
subj_d="/data/raw_data/imagemend/uio/smri/raw"
file_1="swc1nu.nii"
file_2="swc2nu.nii"
rm -f runner; touch runner; chmod a+x runner
echo "if [[ \${1} == \\#* ]]; then" >> runner
echo " exit 1" >> runner
echo "fi" >> runner
echo "echo \"Exporting vox... | true |
68e921fd598bd8572f95091a468d335b647db126 | Shell | msimerson/Mail-Toaster-6 | /provision/smf.sh | UTF-8 | 2,521 | 3.15625 | 3 | [] | permissive | #!/bin/sh
. mail-toaster.sh || exit
export JAIL_START_EXTRA=""
export JAIL_CONF_EXTRA=""
mt6-include php
mt6-include nginx
SMF_VER=2.1.4
install_smf()
{
install_nginx
install_php 81 "filter gd mysqli pdo_mysql session zlib"
if [ ! -d "$STAGE_MNT/usr/local/www" ]; then
mkdir -p "$STAGE_MNT/usr/local/www" || e... | true |
98edba5bed5706492887df1dbd8d28c49694616b | Shell | egocampo/bashLinux | /divisor | UTF-8 | 869 | 3.265625 | 3 | [] | no_license | #!/bin/bash
#
contador=0
#
# LA PRIMER DECLARACION AL LLAMAR LA FUNCION ES EL NOMBRE DEL ARCHIVO ORIGINAL
nombre=$1
#
# LA SEGUNDA DECLARACION INDICA EN GRUPOS DE CUANTAS HOJAS SEPARAR
separaren=$2
#
# CON SED BORRO EL .PDF PARA EL ARHIVO DE SALIDA
salida=$(echo $nombre | sed 's/.pdf//g')
#
# CUENTO CUANTAS PAGIN... | true |
a7bb7fe6bb9cd655a0e0ac5f29121328667f5e2c | Shell | ClickHouse/ClickHouse | /tests/queries/0_stateless/01164_detach_attach_partition_race.sh | UTF-8 | 1,465 | 3.046875 | 3 | [
"BSL-1.0",
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# Tags: race
CURDIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
# shellcheck source=../shell_config.sh
. "$CURDIR"/../shell_config.sh
$CLICKHOUSE_CLIENT -q "drop table if exists mt"
$CLICKHOUSE_CLIENT -q "create table mt (n int) engine=MergeTree order by n settings parts_to_throw_insert=5000"
$... | true |
3818f08baa808e268d5d6ce75c05e13926e5f9df | Shell | adkozlov/parsing-2013-lab_03 | /run.sh | UTF-8 | 328 | 3.15625 | 3 | [] | no_license | #!/bin/bash
cd tests
for haskellfile in `ls | grep -e ".hs"`; do
filename=${haskellfile%.*}
ghc ${haskellfile}
echo "haskell out:"
./${filename}
echo "java out:"
javafile="Translated_"${filename}".java"
javac $javafile
java ${javafile%.*}
ls | grep -v 'java\|hs$' | xargs rm
done... | true |
c333a53de9bf0b8055d0568a34cffee7b9d26686 | Shell | Vinotha16/WIN_ROLLBACK | /templates/linux_actualfacts/centos6/imap_2210_actual.fact | UTF-8 | 186 | 2.8125 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
cmd=$(rpm -q dovecot)
if [ $(sudo rpm -qa dovecot | wc -l) -ne 0 ]; then
echo "{ \"imap_2210_actual\" : \"\" }"
else
echo "{ \"imap_2210_actual\" : \"$cmd\" }"
exit 1
fi
| true |
8c5bc3a4ceeea359048dbae288b6bf40885063de | Shell | AnthonyAstige/.dotfiles | /.fzf.bash | UTF-8 | 2,211 | 3.28125 | 3 | [] | no_license | # https://github.com/BurntSushi/ripgrep/issues/169#issuecomment-312450875
# https://github.com/BurntSushi/ripgrep/issues/169#issuecomment-333229762
if [[ $(uname) == "Darwin" ]]; then
# dirname on OS X behaves funky, get gdirname via
# brew install coreutils
export dirname_command="gdirname"
else
export dirname_com... | true |
8fb2dae62efacefd7f214accab2dc02657686199 | Shell | danielrobertomendes/trabalho-shell-01 | /configura_rede.sh | UTF-8 | 702 | 2.96875 | 3 | [] | no_license | #!/bin/bash
# Escrito por Daniel Mendes e Franklin Moraes.
# Serve para ativar o dhcp na placa de rede designada e modificar o nome do computador.
# Interage com o usuário solicitando o nome da interface de rede.
echo "Qual o nome da sua interface de rede?"
# Efetue a leitura da informação passada pelo usuário.
read ... | true |
382ad4e49ce2b3b1079ce685d64ce42f01a63b91 | Shell | townie/install-scripts | /install_java.sh | UTF-8 | 1,129 | 3.078125 | 3 | [] | no_license | #!/bin/bash
if [ ! "`java -version > /dev/null 2>&1 | grep jdk1.7.0_45`" ] ;then
if [ ! -d /usr/lib/jvm ];then mkdir /usr/lib/jvm;fi
wget -qNO /tmp/jdk-jdk1.7.0_45-linux-x64.tar.gz https://s3.amazonaws.com/backupify-packages/jdk-1.7.0_45-linux-x64.tar.gz
tar -xzf /tmp/jdk-jdk1.7.0_45-linux-x64.tar.gz -C /usr/lib/jv... | true |
c34cd80ed18f269ea689a64dead027d6678097ec | Shell | ttsui/bin | /gnome-backgrounds-xmlgen.sh | UTF-8 | 2,228 | 3.828125 | 4 | [] | no_license | #!/bin/bash
# gnome-backgrounds-xmlgen.sh
#
# usage:./gnome-backgrounds-xmlgen.sh background_dir_1 background_dir_2
# background_dir_3
#
# description: simply generate a backgrounds xml that can be consumed by
# gnome's background configuration
#
# author: ubuntuforums.org username 'ozhoo'
#
# note: only looks for .JP... | true |
fb1ee077c531c84138399f22963867ff665825a8 | Shell | johnae/dotfiles | /home/.profile.d/004_ruby_extensions.sh | UTF-8 | 1,576 | 3.015625 | 3 | [] | no_license | ## rbenv
if which rbenv > /dev/null; then eval "$(rbenv init - --no-rehash $RUNNING_SHELL)"; fi
DEFAULT_JRUBY_OPTS="--1.9 -J-noverify -Xcompile.invokedynamic=false -J-Dfile.encoding=UTF8 -J-Xms512m -J-Xmx2048m"
## use 32-bit client for much faster startup - see 64-bit below about how it can be just as fast
jruby_32bi... | true |
dbf1535d2bb77509f5fc96c48d247347efe40f6c | Shell | SimformSolutionsPvtLtd/DevOps | /Software-installtion-scripts/phpinstall-ubuntu.sh | UTF-8 | 802 | 3.484375 | 3 | [] | no_license | #!/bin/bash
echo "Do you want to install php ? yes or no"
read x
if [[ "${x}" = "yes" ]]
then
read -p "Enter PHP Version : " version
echo
echo "Entered PHP version is - $version"
echo "=================================="
sudo apt-get update -y
sudo apt-get install software-properties-common
sudo add-apt-repository ... | true |
664e7296a1d44c31d1ed571155a3fdad8a10f5b0 | Shell | hypoport/webhook | /trigger-teamcity-build.sh | UTF-8 | 418 | 3.078125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
REPO="$1"
TAG="$2"
BUILD_TYPE_ID="$3"
TEAMCITY_BASE_URL="http://teamcity.hypoport.local/teamCity"
if [[ "$#" -eq 1 ]]
then
REPO=$(echo $1 | cut -d\ -f1)
TAG=$(echo $1 | cut -d\ -f2)
BUILD_TYPE_ID=$(echo $1 | cut -d\ -f3)
fi
eval "echo \"$(cat ./teamcity_build.xml.tmpl)\"" | curl -X POST "${TEAMCIT... | true |
bb724ad78ecadd55bc01665c0cfbd933c3c137aa | Shell | franciscofranco/ramdisks | /anykernel.sh | UTF-8 | 2,628 | 2.515625 | 3 | [] | no_license | # AnyKernel2 Ramdisk Mod Script
# osm0sis @ xda-developers
## AnyKernel setup
# begin properties
properties() {
kernel.string=Franco Kernel by franciscofranco @ xda-developers
do.devicecheck=1
do.modules=0
do.cleanup=1
do.cleanuponabort=1
device.name1=angler
} # end properties
# shell variables
block=/dev/block/platf... | true |
74fc609b13fa7d0efcc3203cf1a8c8f7434fcc45 | Shell | c2y2/shell | /cc_ddos/check_proxy.sh | UTF-8 | 1,171 | 3.875 | 4 | [] | no_license | #!/bin/bash
#get proxy list
declare check_threads=10
declare line
declare times
declare ip
declare port
declare i
declare j
declare mod
function quit() {
exit "$1"
}
#echo "start check proxy's functionality..."
#retarget the input file to stdin
if [ "$#" -gt "0" ]
then
exec 0<$1
else
exec 1>&2
e... | true |
a76c596f8727069f22c53a932d82c2ab579fb103 | Shell | blckct/concourse-bosh-release | /jobs/worker/templates/ctl.erb | UTF-8 | 930 | 3.4375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# vim: ft=sh
set -e -u
RUN_DIR=/var/vcap/sys/run/worker
mkdir -p $RUN_DIR
PIDFILE=${RUN_DIR}/worker.pid
LOG_DIR=/var/vcap/sys/log/worker
mkdir -p $LOG_DIR
exec 1>> $LOG_DIR/worker.stdout.log
exec 2>> $LOG_DIR/worker.stderr.log
/var/vcap/jobs/worker/bin/pre_start
source /var/vcap/jobs/worker/config/env.... | true |
234a8f12ed609241b4572fad4fe56d21c819fbdf | Shell | shr-distribution/meta-smartphone | /meta-xiaomi/recipes-core/systemd/systemd-machine-units/hciattach.sh | UTF-8 | 716 | 3.265625 | 3 | [] | no_license | #!/bin/sh
#Maximum number of attempts to enable hcismd to try to get
# hci0 to come online. Writing to sysfs too early seems to
# not work, so we loop.
MAXTRIES=15
#setprop bluetooth.hciattach true
setprop ro.qualcomm.bt.hci_transport smd
setprop qcom.bt.dev_power_class 2
setprop qcom.bt.le_dev_pwr_class 2
i=1
whil... | true |
f47cd9b4f11b53fc42f9c7abb702a617e70f9833 | Shell | enjmiah/SoftRas | /examples/recon/download_dataset.sh | UTF-8 | 440 | 3 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
if [ -e "./data/mesh_reconstruction_dataset.zip" ]; then
unzip ./data/mesh_reconstruction_dataset.zip -d ./data/datasets
mv ./data/datasets/mesh_reconstruction/* ./data/datasets/
rm -rf /data/datasets/mesh_reconstruction
else
echo "Please download dataset from https://drive.google.c... | true |
7cf28554db58397d67438594ac9e9f110f3b7a87 | Shell | olegfedoseev/docker-satis | /start.sh | UTF-8 | 466 | 2.875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
mkdir /root/.ssh && ssh-keygen -t rsa -b 2048 -P "" -f /root/.ssh/id_rsa
echo -e "\n\nPublic key for Satis:"
cat /root/.ssh/id_rsa.pub
echo -e "\n\n"
echo "Creating known_hosts..."
for domain in $PRIVATE_DOMAINS ; do
ssh-keyscan -t rsa $domain >> /root/.ssh/known_hosts
done
chown -R www-data:www-dat... | true |
a440054421892a4ffffce7e6c0484fdac3e7fd72 | Shell | Raniita/dotfiles | /wayland/.config/waybar/mediaplayer.sh | UTF-8 | 348 | 2.828125 | 3 | [] | no_license | #!/bin/sh
player_status=$(playerctl -p spotify status 2> /dev/null)
if [ "$player_status" = "Playing" ]; then
echo " $(playerctl -p spotify metadata artist) - $(playerctl -p spotify metadata title)"
elif [ "$player_status" = "Paused" ]; then
echo " $(playerctl -p spotify metadata artist) - $(playerctl -p spot... | true |
ab4e10f009516ae91ab52a6a16220fbb19aac8d8 | Shell | nurey/disclosed | /load.sh | UTF-8 | 688 | 3.921875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#FILE can be "all" or a specific file
FILE=$1
KIND=$2 # eg. Contract
function load_one {
ONE=$1
echo "loading $ONE"
appcfg.py upload_data \
--config_file=app2/contract_loader.py \
--filename="$ONE" \
--kind=$KIND \
app2
##simulate success
#yes --version ... | true |
a90f107dfd7e8c641d120276b3f11fed59ebf40e | Shell | tripleo1/Paladin1991-Last-Xmonad | /eww/scripts/highlight | UTF-8 | 1,803 | 3.234375 | 3 | [] | no_license | #!/bin/bash
# Get currente theme
Eww_Currente_Theme=$(cat ~/.config/eww/eww.scss | grep @import | cut -d '"' -f2)
Gtk_Currente_Theme=$(cat ~/.themes/Midday/gtk-3.0/gtk.css | grep @import | cut -d '"' -f2)
# Get currente highlight color
Eww_Currente_Color=$(cat ~/.config/eww/$Eww_Currente_Theme | grep highlight | cut ... | true |
04576d7b021dbce87452e74b3f1878ee00b2c174 | Shell | dominiquehunziker/meta-ros-test-sdk | /src/target/run.sh | UTF-8 | 1,229 | 3.046875 | 3 | [] | no_license | #!/bin/bash
set -e
# Fix network configuration
echo "127.0.0.1 $(cat /etc/hostname)" >> /etc/hosts
# Install binaries built with SDK
tar xf /home/root/data.tar -C /
# Setup ROS environment for building a binary
export ROS_DISTRO=indigo
export ROS_MASTER_URI=http://localhost:11311
export ROS_PACKAGE_PATH=/opt/ros/$... | true |
f434df3a4f44e8f6de8446602b6b06eaeb8b13bb | Shell | riyadennis/bashExperiments | /todo.sh | UTF-8 | 521 | 3.953125 | 4 | [] | no_license | #!/bin/sh
# Manage a simple todo list using bash
FILE=~/Documents/todo
date=`date`
if [ -w "$FILE" ]
then
echo "You have existing things in your todo:"
while IFS= read -r varname; do
printf '%s\n' "$varname"
done < "$FILE"
echo "Do you want to clear your todo yes/no"
read choice
if [ $choice="yes" ]
... | true |
832d4063be074e9a17fdba4bf8426730bc198651 | Shell | bsingr/fitness-tracker | /scripts/ci-git-commit-and-push | UTF-8 | 1,616 | 3.796875 | 4 | [] | no_license | #!/bin/bash
# inspired by https://gist.github.com/domenic/ec8b0fc8ab45f39403dd
set -e # Exit with nonzero exit code if anything fails
set -x # Print vars and statements
SOURCE_BRANCH="master"
TARGET_BRANCH="master"
pwd # debug
# Pull requests and commits to other branches shouldn't try to deploy, just build to ver... | true |
27f31941876edacaf423e623d2cda806be93012b | Shell | fakenumbers/fakenumbers.github.io | /scripts/livecheck.sh | UTF-8 | 637 | 3.828125 | 4 | [
"CC0-1.0"
] | permissive | #!/bin/bash
dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
if [ $# -lt 2 ]; then
echo "Usage: livecheck.sh <category> <number>";
echo "Does a live check using curl and \
prints \"found <number>\" and exits with error 0 on match, otherwise error 1";
echo "Attention: Do not use for ... | true |
f2db9be5c1bb73e3a61b289f27f973cc26e2cd0f | Shell | bongster228/UNLVCS302 | /Asst8/Asst08/a8tst | UTF-8 | 2,366 | 3.9375 | 4 | [] | no_license | #!/bin/bash
# CS 302, assignment #8 test script.
# ---------------------------------------------------------
# Initial checks.
# Ensure executable file exists.
# Verify availability of testing support files.
if [ -z $1 ]; then
echo "Error, must provide executable file name."
exit
fi
if [ ! -e $1 ] || [ ! -x $1 ]; ... | true |
17eeaea66f222709f2a3c784add4995401f5bdaf | Shell | omergencer/vagrant-big-data-env-master | /scripts/setup-kafka.sh | UTF-8 | 426 | 3.390625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
source "/vagrant/scripts/common.sh"
function installRemoteKAFKA {
echo "install KAFKA from remote file"
curl ${CURL_OPTS} -o /vagrant/resources/$KAFKA_ARCHIVE -O -L $KAFKA_MIRROR_DOWNLOAD
tar -xzf /vagrant/resources/$KAFKA_ARCHIVE -C /usr/local
}
function installKAFKA {
installRemoteKAFKA
ln -s /us... | true |
adf151bec641ac6b4b2329d23e0c6650909a277b | Shell | IFB-ElixirFr/LinuxEBAII | /docs/_build/jupyter_execute/09_manipulate.sh | UTF-8 | 658 | 2.890625 | 3 | [
"BSD-3-Clause"
] | permissive | # On se déplace dans annotations
# remplacer <project>
# cd /shared/projects/<project>/annotations/hg38
cd /shared/projects/form_2022_32/coursLinux/demo/annotations/hg38
mkdir bed; cd bed
# On télécharge le fichier
wget https://zenodo.org/record/5716151/files/hg38_exons.bed.gz
# Le fichier compressé (finit par "... | true |
009ee5c4232fa0f9b1f11c863efd66a2a6d823e5 | Shell | lichuanky/dotfiles-vps | /startup.sh | UTF-8 | 1,123 | 2.546875 | 3 | [] | no_license | ## Hard info
cat /proc/cpuinfo
cat /proc/meminfo
free –m
## Disk IO
dd if=/dev/zero of=test bs=64k count=4k oflag=dsync
dd if=/dev/zero of=test bs=8k count=256k conv=fdatasync
## Test speed
wget https://cachefly.cachefly.net/100mb.test
wget freevps.us/downloads/bench.sh -O - -o /dev/null | bash
## OneinStack(https:/... | true |
c65196e1c4f9d9dea54b3f2d1f00532ba4e93691 | Shell | ngoyal16/shell_pratice | /scriptprog3.sh | UTF-8 | 154 | 3.3125 | 3 | [] | no_license | if [ $# -eq 0 ]
then
echo "command line arguments are missing"
exit 1
fi
n=$1
i=0
while [ $i -lt ${#n} ]; do echo ${n:$i:1}; i=$((i+1));done
| true |
160df9dd69a54a7e0df99e05769d8974070f53e5 | Shell | duckwork/bespoke | /bin/bait | UTF-8 | 303 | 3.21875 | 3 | [] | no_license | #! /usr/bin/env dash
# watch for events and ACT
fifo=$TMP/bait.fifo;
# wm bait -f => get fifo and quit
[ "$1" = "-f" ] && {
printf '%s\n' $fifo;
exit $SUCCESS;
}
[ -p $fifo ] && rm $fifo;
mkfifo $fifo;
wew -s > $fifo &
printf '%s\n' $!
while IFS=: read ev wid; do
$HKS/$ev $wid;
done < $fifo;
| true |
8a5cd7fc486579f78236040134eb9cd9e3c73d2c | Shell | aroq/toolbox-ansistrano | /tools/ansistrano | UTF-8 | 2,024 | 3.328125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# shellcheck disable=SC1090
# shellcheck disable=SC1091
TOOLBOX_DEPS_DIR=${TOOLBOX_DEPS_DIR:-toolbox/deps}
# Includes
. "${TOOLBOX_DEPS_DIR}/toolbox-utils/includes/init.sh"
. "${TOOLBOX_DEPS_DIR}/toolbox-utils/includes/util.sh"
. "${TOOLBOX_DEPS_DIR}/toolbox-utils/includes/log.sh"
. "${TOOLBOX_DE... | true |
68df7395a326077fccb69c0b7aa7903d8ff427e6 | Shell | XGWang0/Suse_testsuite | /sets/qa_testset_automation/automation/qaset/conf/SLE11SP3.conf | UTF-8 | 691 | 3.296875 | 3 | [] | no_license | #!/bin/bash
__import conf/common.conf
# both REPO_URLS* and REPO_NAMES should have the size.
SQ_REPO_NAMES=(
'qa-ibs'
'sle-sdk'
)
SQ_REPO_URLS_DE=(
)
SQ_REPO_URLS_BJ=(
)
function sq_prep_SLE11SP3_get_repo_url_by_name {
local _repo_name=$1
local _SLE_build=$2
local _arch=$3
local _repo_mirror=$... | true |
b94eb69c0f655a408cc010331f3e7b09557a6981 | Shell | andrejbaran/cli | /scripts/configdev.sh | UTF-8 | 667 | 3.015625 | 3 | [
"MIT"
] | permissive | ##
# Author: JP Lew (jp@cto.ai)
# Date: Friday, 10th May 2019 8:38:24 am
#
# Usage:
# Run this to set up your dev environment.
#
# Point your ops command from bin/ run to bin/run.dev. This will allow you to
# set your environment at run-time like this: `NODE_ENV=staging ops init`
#
# It also enables path aliases (~) in... | true |
17c465e33620986b01cf4148bf7aa3fc8e599a45 | Shell | otsaloma/docsets | /index.sh | UTF-8 | 312 | 3.28125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
FAILED=""
ROOT_DIR="$(pwd)"
export PYTHONPATH=$ROOT_DIR:$PYTHONPATH
for DIRECTORY; do
echo "Entering $DIRECTORY..."
cd "$ROOT_DIR/$DIRECTORY/Contents/Resources"
./index.py || FAILED="$FAILED $DIRECTORY"
done
for DIRECTORY in $FAILED; do
echo "INDEX FAILED FOR $DIRECTORY"
done
| true |
79024efbfdbd35bc8fbf347a4a05a47df6632d02 | Shell | dcjones/craigcitro-dotfiles | /xsession | UTF-8 | 1,767 | 3.046875 | 3 | [] | no_license | #!/bin/bash -l
#
# I blatantly stole this from Ami when setting up
# ratpoison. Lots of stuff is commented out for now.
# In addition, I'm marking the stuff that I blatantly stole
# from him so that I remember that I have no idea what it is. ;)
#
# I'm not sure if I should need this at the beginning, but it doesn't
#... | true |
9f54ba8e898547c8de9ee730b9ae706c9817ecb8 | Shell | kafkapre/tech-edu-webapp-google-technologies | /k8s/build-all-docker-images.sh | UTF-8 | 1,348 | 3.421875 | 3 | [
"MIT"
] | permissive | #! /bin/bash
currentDir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
function check {
_isOK=$1
_action=$2
_imagName=$3
if [ "$_isOK" != "0" ];
then
echo -e "\nDocker $_action of image [$_imageName] failed. Script exited.\n"
exit 1
fi
}
source $currentDir/cluster.conf
echo "Is version [$dockerImageVe... | true |
a53eef78612a8b4c460057eed881e4b30568fde8 | Shell | openwall/Owl | /packages/xinetd/xinetd.init | UTF-8 | 1,507 | 3.71875 | 4 | [] | no_license | #!/bin/sh
# $Owl: Owl/packages/xinetd/xinetd.init,v 1.8 2005/11/16 13:32:46 solar Exp $
#
# chkconfig: 345 56 50
# description: \
# xinetd is a powerful replacement for inetd. xinetd has access \
# control machanisms, extensive logging capabilities, the ability \
# to make services available based on time, and can pla... | true |
dc002e1a9d90e546a24a075e0ad9c92129221232 | Shell | balena-io-experimental/balena-rtc-multicontainer | /rtc/start.sh | UTF-8 | 657 | 3.90625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Parse RTC date into unixtime
rtcdate=$(hwclock -l)
# required to format the date string on busybox date, not requir
unix_rtcdate=$(date -D "%c" -d "${rtcdate}" "+%s")
# With coreutils date the conversion should be
# unix_rtcdate=$(date -d "${rtcdate}" "+%s")
# Get current system unixtime
unix_systemdate... | true |
4830c6da915fd7da1e71bb5af29aa38582817d97 | Shell | CycloneAwakening/ZonamaDev | /docs/Old_Fastrack_VM-20130427231338/files/home/swgemu/bin/myip | UTF-8 | 490 | 3.625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# myip - Display ip of this VM
#
# Author: Lord Kator <lordkator@swgemu.com>
#
# Created: Sat Apr 27 22:53:44 UTC 2013
#
#
ip_address=$(/sbin/ifconfig eth0 | sed -n '/inet addr:/s/.*addr:\([^ ]*\) .*/\1/p')
if [ ! -n "$ip_address" ]; then
echo "** Failed to determine ip address!? **"
fi
cd ~/run
port=... | true |
baea964ab6110b4f87d0464e87d5556ab2b99fff | Shell | krgko/learning-monitoring | /gp/download-jmeter.sh | UTF-8 | 239 | 2.59375 | 3 | [] | no_license | #!/bin/bash
echo "Download Jmeter ..."
wget https://downloads.apache.org//jmeter/binaries/apache-jmeter-5.2.1.zip
echo "Unzip ..."
unzip apache-jmeter-5.2.1.zip
echo "Clear zip file ..."
rm apache-jmeter-5.2.1.zip
echo "Completed !!!"
| true |
2d35b3d28c8a71e083653879da76890df11146df | Shell | drwest143/matrix | /process/site-add.sh | UTF-8 | 14,975 | 3.609375 | 4 | [] | no_license | #!/bin/bash
# Add site script
#
# Params: domainname.com dbname dbuser dbpasswd
#
# Version 1.2 - April 16th, 2014
#
source /var/git/server-project/lib/svr-proj-libs.sh
GIT_TEMPLATE_PATH="/var/git/server-project/vhost-template";
TEMPLATE_PATH="$VHOST_PATH/vhost-template";
LOG_PATH="/var/log/httpd";
# Get IP for eth0
... | true |
350af42c4b03785575c4234baf13ee3681ca7332 | Shell | varnitasur/remoterepo1 | /test.sh | UTF-8 | 52 | 2.640625 | 3 | [] | no_license | for i in `ls`
do
if [ -f $i ]
then
echo $i
fi
done
| true |
131937c3e384391d3cb443c8bb1d68e0af101986 | Shell | daelomin/env4 | /common/softwares/templates/scripts/launch.sh | UTF-8 | 3,225 | 3.46875 | 3 | [] | no_license | #!/bin/bash
#--------init ENV-----------
. /etc/profile.d/modules.sh
module purge
# must come after module purge (else reset!)
export MODULEPATH=/cm/shared/modulefiles:$MODULEPATH
echo "MODULEPATH=" $MODULEPATH
echo "MODULE LIST loaded before task:"
module list
module load use.own
module load taskcenter/common
## Unc... | true |
128f243dea968d3f8a44ce34254b8e45aeae31ec | Shell | William-LP/aKa | /aKa.sh | UTF-8 | 811 | 3.875 | 4 | [] | no_license | add() {
shift
alias=$1
command=$2
if [ $# -lt 2 ]; then
if [ $# -eq 0 ]; then
echo -n "Enter your alias name and press enter [ENTER]: "
read alias
fi
echo -n "Enter an associated command for $alias and press enter [ENTER]: "
read command
fi
echo $alias : $command > aKa.list
exit
}
help() {
ca... | true |
e4aad1f2cba2ea949f15d9f692c5e675b939b7c1 | Shell | raghu147/Workspaces | /a8/sort.sh | UTF-8 | 879 | 3.140625 | 3 | [] | no_license |
input=$1
output=$2
publicDNS=$(cat publicDNS.txt)
listOfDNS="$publicDNS"
count=0
#echo ${#source[@]}
for i in $(echo $listOfDNS | tr " " "\n")
do
count=$(($count+1))
done
if [ $count -eq 2 ]
then
ports="8000 8001"
fi
if [ $count -eq 8 ]
then
ports="8000 8001 8002 8003 8004 8005 8006 8007"
fi
serverNumber=0
for i ... | true |
662fef5b52ceb04d798e3da03ab7a40a10a4f8fc | Shell | jtalks-org/jtalks-infra | /templates/default/confluence.service.erb | UTF-8 | 456 | 3.484375 | 3 | [] | no_license | #!/bin/bash
# Start and stop Confluence server
CONFLUENCE_DIRECTORY=<%= @dir %>
case "$1" in
start)
$CONFLUENCE_DIRECTORY/bin/start-confluence.sh
echo started.
exit 0
;;
stop)
$CONFLUENCE_DIRECTORY/bin/stop-confluence.sh
echo stopped.
exit 0
;;
rest... | true |
b0f58a81f6559a2488cbfe0cfd411251d2aad8c7 | Shell | Cesar-Hack-Gray/release-download | /install_infectador | UTF-8 | 1,276 | 2.609375 | 3 | [] | no_license | #!/bin/bash
apt update &>> install.log
if [ -e /data/data/com.termux/files/usr/bin ]; then
if [ -e $PREFIX/lib/apktool.jar ]; then
rm $PREFIX/lib/apktool.jar
fi
if [ -e $PREFIX/bin/apktool ]; then
rm $PREFIX/bin/apktool
fi
if [ -e $PREFIX/bin/dalvikvm ]; then
sed -i "s/export/#export/g" $PREFIX/bin/dalvikvm
fi
cd $HO... | true |
cc9d20061db8682300c7a53e0ca35f40a4e08af4 | Shell | walidKH007/Scripting | /synchro.sh | UTF-8 | 2,426 | 3.46875 | 3 | [] | no_license | #!/bin/bash
##################C2#######################
####### add_files.sh###########
echo " The files/directories that you want to add for synchronization are : $* "
for i in $*
do
cp $i dossier2/
done
echo " le dossier est pour pour se synchronizer "
####### file_update.sh#####
#!/bin/bash
var=`rsync -avun /ro... | true |
e72ff7fcad4d9da090c8748610abd0d4d228abb6 | Shell | pkgix/pkgix-repo | /pkgs/util/pigz | UTF-8 | 143 | 2.546875 | 3 | [] | no_license |
metapkg=util/pigz-2.2.5
version=2.2.5
description="Metapackage for pigz"
satisfied() {
which pigz &> /dev/null
}
# vim: set ft=sh :
| true |
ffa068ad8c83695a6af9d97953d9f469e263c1ad | Shell | magabytarv/pruebaEmpleados | /modules/utils/server_structure.sh | UTF-8 | 257 | 3.390625 | 3 | [] | no_license | #!/bin/bash
function create_server_structure()
{
server_dir="../server/application/modules"
server_folders_module=(models views controllers)
for item in ${server_folders_module[*]}
do
mkdir -p $server_dir/$modulo/$item;
done
}
| true |
9f599200e7ea9611b2425f2db28773004be58bb5 | Shell | wangzheng422/operator-metering | /images/helm-operator/add-label.sh | UTF-8 | 269 | 2.796875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
set -u
: "${FAQ_BIN:=faq}"
export PRUNE_LABEL_KEY=${1:?}
export PRUNE_LABEL_VALUE=${2:?}
# shellcheck disable=SC2016
"$FAQ_BIN" \
-f yaml -o yaml -r -M \
'select(. != null) | .metadata.labels[$ENV.PRUNE_LABEL_KEY]=$ENV.PRUNE_LABEL_VALUE'
| true |
fbd56a34c77f2b48b4b12c75e22f16f68851f868 | Shell | garygriswold/SafeBible | /OBSOLETE/Server/deploy.sh | UTF-8 | 331 | 2.59375 | 3 | [
"MIT",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/sh
SERVER=cloud.shortsands.com
export COPYFILE_DISABLE=true # exclude Mac OSX resource forks (._*)
tar -cvf server.tar --exclude='.DS_Store' www
scp -P7022 server.tar root@$SERVER:/root/Server
ssh root@$SERVER -p7022 "cd /root/Server; tar -xvf server.tar"
echo "Login to server and tail /root/Server/www/se... | true |
936c32631156a7713ac8c9c3a97cc4ab9d9d907f | Shell | Mazic4/Information-Retrival-Yelp | /rename-deps.sh | UTF-8 | 219 | 3.203125 | 3 | [] | no_license | #!/bin/bash
BASE=$(dirname $0)
TARGET="$BASE/target/scala-2.11/HLTA-assembly-1.1-deps.jar"
if [[ -e $TARGET ]]; then
mv $TARGET $BASE/target/scala-2.11/HLTA-deps.jar
else
echo "$TARGET does not exist."
exit -1
fi | true |
1f3a47e680419f0ca2f8de1d1fe2ee894aadffd8 | Shell | patrickgardella/rpi-motd | /10-load-avg | UTF-8 | 1,492 | 4.125 | 4 | [] | no_license | #!/bin/bash
#
# Function to place text at left side of box and and put some '#'s around it
left(){
SP=$(( 62 - ${#1} ))
# put message together (formatted left-side message)
FLM=" # $1"$(printf %"$SP"s)"#"
}
#
# get system information
## system load
load=$(awk '{print $1}' /proc/loadavg)
#
## memory use
memUse=$(awk '/^... | true |
eec554b404d255c27105bf3726c7542751a5f576 | Shell | hringriin/dotfiles | /bash/shutdown.bash | UTF-8 | 875 | 3.46875 | 3 | [] | no_license | #!/bin/bash
# shutdown i3 or arch linux
i3exit="Exit i3"
shutdownc="Shutdown computer"
rebootc="Reboot computer"
case $(echo -e "${i3exit}\n${shutdownc}\n${rebootc}" | rofi -dmenu -markup-rows -i -p "What to do?") in
${i3exit})
if [[ $(echo -e "No\nYes" | rofi -dmenu -markup-rows -i -p "Really ${i3exit}?"... | true |
719536ca0fd101eca6aff80aaeaabe207d9f6c16 | Shell | aapon00/LTB2021 | /pbs/one_node_experiment.pbs | UTF-8 | 2,406 | 3.40625 | 3 | [] | no_license | #!/bin/bash
#PBS -N DICELAB_one_node_iot_run
#PBS -l select=1:ncpus=16:chip_type=e5-2665:interconnect=fdr:mem=60gb,walltime=00:30:00,place=pack
#PBS -j oe
#PBS -q workq
######################################################
#$TMPDIR is used to access local_scratch -> /local_scratch/pbs.$PBS_JOBID/
#if [ ! -z "... | true |
5b2229ef8411297a14174d555e52e53749d06318 | Shell | wont/recommendsystem | /tools/mysql.sh | UTF-8 | 734 | 3.171875 | 3 | [] | no_license | #!/bin/bash
if [ -z $1 ];then
echo 'USAGE:CONTENTTITLEAND FILENAME'
exit 0
fi
filename=result
echo "">$filename
URL=(`sed -n 's/.*>\(.*\)<\/url>/\1/p' $1`)
DOCNO=(`sed -n 's/.*>\(.*\)<\/docno>/\1/p' $1`)
CONTENTTITLE=(`sed -n 's/.*>\(.*\)<\/contenttitle>/\1/p' $1`)
CONTENT=(`sed -n 's/.*>\(.*\)<\/content>/\1/p' $... | true |
01462f2001bf67cca4039fde842f34e4acede2cc | Shell | petronny/aur3-mirror | /lyx-svn/PKGBUILD | UTF-8 | 1,086 | 2.609375 | 3 | [] | no_license | # Contributor: Adria Arrufat <swiftscythe@gmail.com>
pkgname=lyx-svn
pkgver=40284
pkgrel=1
pkgdesc="An advanced open-source document processor."
arch=(i686 x86_64)
url='http://www.lyx.org'
depends=('qt' 'texlive-core' 'python' 'perl' 'imagemagick' 'aspell' 'aiksaurus' 'boost')
optdepends=('texlive-latex3: pdf export')... | true |
086520cc7f8533777fad8a72587afdb9583e2bec | Shell | tacmath/corewar | /corewar/scriptos/testos.sh | UTF-8 | 956 | 3.6875 | 4 | [] | no_license | #!/bin/bash
if [ ! -d "../cor" ]
then
echo "cor folder is missing"
exit
fi
GREEN='\033[0;32m'
RED='\033[0;31m'
NC='\033[0m'
arr=(../cor/*)
error=0
nb=1
if [ $# -gt 0 ]
then
if [ $1 -gt $nb ]
then
nb=$1
fi
fi
if [ $# -gt 1 ]
then
if [ $2 -gt $nb ]
then
nb=$2
fi
fi
for (( n=0; n<$nb; n++ ))
do
p1=$((RAND... | true |
5ef43e3dbcf4657281d02f32177cee3963eaaec4 | Shell | cstoribal/SFF_Algorithm | /src/scripts/script_parallel.sh | UTF-8 | 1,592 | 3.390625 | 3 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #!/bin/bash
##include <stdio.h>
#Only if usefull, for instance if this location is RAM
cp ./SFFDataMgmt /data/tmp/
cp ./ProjSFF /data/tmp/
### The actual program
run_command() {
prog_param="/data/tmp/SFFDataMgmt -M "
prog_sff="/data/tmp/ProjSFF -optf "$2" -D "
linecode=$prog_param""$1" -f "$3
e... | true |
fffb6a340800402c7531af1257499df218f6e8a4 | Shell | xfhxfh1212/starcoin | /scripts/coverage_report.sh | UTF-8 | 2,454 | 3.875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Copyright (c) The Diem Core Contributors
# SPDX-License-Identifier: Apache-2.0
# Check that the test directory and report path arguments are provided
if [ $# -lt 2 ] || ! [ -d "$1" ]; then
echo "Usage: $0 <testdir> <outdir> [--batch]"
echo "All tests in <testdir> and its subdirectories will be run to... | true |
18ab8379c59b620b949f1af8a29c07b371498847 | Shell | siorifriendsprojects/siorifriends | /laradock.sh | UTF-8 | 1,011 | 3.8125 | 4 | [] | no_license | #!/bin/bash
# author : Alucky4423
# Laradock の相対パス
LARADOCK_PATH=".laradock/"
up () {
docker-compose up -d nginx phpmyadmin
}
down () {
docker-compose down
}
exeCommand () {
docker-compose exec workspace $*
}
showHelp () {
cat << EOS
Usage:
laradock [option] <command_name>
Option:
-h, --help このhelp... | true |
6332c48fdb19fde10bce714bb2da9a02c21caf31 | Shell | terlar/dotfiles | /bin/.local/bin/ssh-install-terminfo | UTF-8 | 284 | 3.078125 | 3 | [] | no_license | #!/usr/bin/env bash
[[ "${TRACE}" ]] && set -x
set -eu
set -o pipefail
main() {
local host="${1?host was not provided}"
# shellcheck disable=2016
local cmd='cat > "$TERM.info" && tic -x "$TERM.info"'
# shellcheck disable=2029
infocmp -x | ssh -t "${host}" "${cmd}"
}
main "$@"
| true |
a632147bb159787ef631d99dd9f94f2584691e3d | Shell | Markus-FN/omnios-wiki | /Attachments/ssl_services_to_restart.sh | UTF-8 | 464 | 3.421875 | 3 | [] | no_license | #!/bin/bash
# Find a list of services to restart when OpenSSL libraries are updated.
ctids=(
$(for i in `pgrep -z $(zonename)`; do \
pldd $i 2>&1 | \
egrep -e 'lib(ssl|crypto).so' >/dev/null && \
ps -octid -p $i | \
sed -e '1d; s/[^0-9]//g;' ; done | \
sort -n | uniq)
)
length=`expr ${#ctids[@]} - ... | true |
e237f56d81e8f42a3ce8ff12caa6b4aafe5605b6 | Shell | clojerl/asdf-clojerl | /bin/install | UTF-8 | 677 | 3.59375 | 4 | [] | no_license | #!/usr/bin/env bash
set -Eeuo pipefail
printf "Installing clojerl %s\n" "$ASDF_INSTALL_VERSION"
if [[ "$ASDF_DOWNLOAD_PATH" == "" ]] ; then
tmpdir="$(mktemp -d -t 'asdf_XXXXXXXXXX')"
export ASDF_DOWNLOAD_PATH="$tmpdir"
trap 'rm -rf "$ASDF_DOWNLOAD_PATH"' EXIT
"$(dirname "$0")/download"
fi
cp -R "${A... | true |
1eddf3daeaf37dd08cb097d7a52237c5820ebcd6 | Shell | wrenth04/download-scripts | /bilibili/bilibili-v2.sh | UTF-8 | 1,360 | 3.28125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
AGENT="Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.75 Safari/537.36"
url="$1"
html=$(cat data.html)
series_title=${html#*series_title\":\"}; series_title=${series_title%%\"*}
x=${html#*epList}
x2=${x#*\"aid\":}
while [ "$x" != "$x2" ]; do
av... | true |
8d613c89d696f819dc1a01cfc9cf60da12ea5e0b | Shell | ChengCat/L2 | /bootstrap/buildl2 | UTF-8 | 2,398 | 3.015625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/env bash
# Compile L2 program source into object files
../bin/bootstrapped_l2compile core-meta.l2 64-numbers-meta.l2 text-meta.l2 flow-meta.l2 list-meta.l2 ../bin/x86_64.o x86-64-linux-interface-meta.l2 lexer-meta.l2 elf-meta.l2 x86-64-object-meta.l2 expressions-meta.l2 x86-64-assembler-meta.l2 x86-64-gene... | true |
5869f13a0178c3a6d8ac716e25529181875c5643 | Shell | artus/azure-bigchaindb-templates | /run.sh | UTF-8 | 537 | 3.390625 | 3 | [] | no_license | #!/bin/bash
# Artus Vranken
# ======================================================
#
# BigchainDB deployment templates for azure help-script.
#
# ======================================================
VARIABLES="$(pwd)/etc/variables.sh";
DEPLOYMENT="$1";
#
# Start
#
case "$DEPLOYMENT" in
single-simple)
cd "de... | true |
4fc0962d228932b18cb4c6cef6340e7bc98bbabd | Shell | ampproject/amphtml | /validator/js/chromeextension/package_extension.sh | UTF-8 | 756 | 3.15625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -ex
#
# A script to package only the necessary files of the extension.
echo "Building chrome extension"
./build_extension.sh
echo "Packaging chrome extension"
VERSION=$(egrep "\"version\":" manifest.json | cut -d\" -f4)
zip -r extension-"$VERSION".zip ./ -x bower.json build_extension.sh \
icon-64.png ... | true |
944762a8df4c6a604495912c657ca4832664f7b5 | Shell | nearff99/llvm-obfuscator-arm | /bin/arm-linux-gnueabihf-clang++ | UTF-8 | 2,297 | 2.90625 | 3 | [
"MIT",
"NCSA",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/usr/bin/env bash
# Copyright (C) 2017-2018 Swift Navigation Inc.
# Contact: Swift Navigation <dev@swiftnav.com>
#
# This source is subject to the license found in the file 'LICENSE' which must
# be be distributed together with this source. All other rights reserved.
#
# THIS CODE AND INFORMATION IS PROVIDED "AS IS"... | true |
39b89c606187cb00c4e23c72f0c7dc794a13aa1a | Shell | pieczon/sw2017-2018 | /zadanie1-2.sh | UTF-8 | 298 | 3.515625 | 4 | [] | no_license | #!/bin/bash
if [ $# -lt 1 ]; then
echo "Wymgana liczba argumentów to 2"
elif [ $# -eq 2 ]; then
echo "Wypisanie dwóch napisów: $1 i $2"
echo "Zapisywanie informacji: $1, do pliku o nazwie: $2"
touch $2
echo "$1">$2
else echo "Błędna liczba parametrów, wprowadz min. 2 parametry!"
fi
exit 0
| true |
66ffa39a3e2aa232999b270df49cf0561ffe3098 | Shell | timotalvitie/git_bash_scripts | /git_batch_pull.sh | UTF-8 | 691 | 3.96875 | 4 | [] | no_license | #!/bin/bash
echo "--Start"
RED='\033[1;31m'
GREEN='\033[1;32m'
YELLOW='\033[1;33m'
NOCOLOR='\033[0m'
for d in */; do
printf "${NOCOLOR}Checking $d..."
cd $d
# Check if the current directory is a git directory
if git rev-parse --git-dir > /dev/null 2>&1
then
# Get the output message (combined stdout... | true |
3f9504b953dbae2369abb087f6b528541b227560 | Shell | amitv87/EC20CEFAG | /ql-ol-sdk/ql-ol-rootfs/usr/kernel-tests/modsign/modsign_test.sh | UTF-8 | 3,915 | 3.328125 | 3 | [] | no_license | # Copyright (c) 2014, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of cond... | true |
6dec4c76f784b381bacecd0c3d497b69046c9d94 | Shell | madris112/Blockchain-Ration-System | /backend/scripts/generate.sh | UTF-8 | 1,619 | 2.640625 | 3 | [] | no_license | #!/bin/bash
ls
cd ..
export IMAGE_TAG=1.4
echo "Generating cryto material for peers..."
mkdir ./channel-artifacts
cryptogen generate --config=./crypto-config.yaml
echo "Generating channel artifacts and genesis block..."
configtxgen -profile LEANOrdererGenesis -outputBlock ./channel-artifacts/genesis.block
configtxge... | true |
33843d81d22d708ec5985f3d4c7deff730f81489 | Shell | csb1024/djinn_csb | /tonic-suite/experiment.sh | UTF-8 | 6,749 | 3.390625 | 3 | [
"BSD-3-Clause"
] | permissive |
#!/bin/bash
# DIRS
ROOT_DIR=$HOME/org/djinn-1.0
SERVER_DIR=$ROOT_DIR/service
CLIENT_DIR=$ROOT_DIR/tonic-suite
MON_DIR=$HOME/git/gpu-cloud/monitor/cpp3
#SERVER SCRIPTS
GPU_SERVER_SH=$SERVER_DIR/executeServer.sh
CPU_SERVER_SH=$SERVER_DIR/executeCPUServer.sh
#CLIENT SCRIPTS
IMG_SH=$CLIENT_DIR/img/execImg_Djinn_no_mpi... | true |
554e11ebe2c89ad644a647342485968f1010bbfc | Shell | 123srinivas/srinivas | /ansible/postOS.sh | UTF-8 | 2,549 | 3.5625 | 4 | [] | no_license | #!/bin/bash
DIR=/apps/priv/sa-priv/webex-config
#check if anyone is running the ansible
if [ -f lockfile ]
then
cat lockfile
exit
fi
echo Please enter the hostname:
read hostname
echo Please enter yourid:
read userid
#export hostname
# print some output
echo please wait, doing authentication setup
# add finge... | true |
a566042afd59fcc72b63278fe26093efa44f4f8c | Shell | MyMirelHub/macos-setup | /config-files/.zshrc | UTF-8 | 1,965 | 2.9375 | 3 | [] | no_license | # If you come from bash you might have to change your $PATH.
export PATH=$HOME/bin:/usr/local/bin:$PATH
# Path to your oh-my-zsh installation.
export ZSH="$HOME/.oh-my-zsh"
# See https://github.com/robbyrussell/oh-my-zsh/wiki/Themes for others
ZSH_THEME="agnoster"
# Which plugins would you like to load?
# Standard p... | true |
37d0a81e2257fe64b5d0b6c6629eabdd218b1542 | Shell | nkk0508/shell_script | /make_sequence/make_file.sh | UTF-8 | 1,828 | 3.484375 | 3 | [] | no_license | #!/usr/local/bin/bash
#while read lineをする対象のファイルは、最終行に空白行を入れないと、目的の最終行を読み込まない
#TARGET_FILE=`grep "AMAZON" ./tabledef/webshop11DB_create_ora_table.sql`
fileNumber=1
#while read line
#do
# echo V001_000_00${count}__$line.sql
# count=`expr ${count} + 1`
#
#done < ./tabledef/hitoketa
#while read line
#do
# touch V00... | true |
3de98ca57fd23da6471df0c2defb45e74a5df349 | Shell | barba99/barbs | /ferramentascodes | UTF-8 | 30,210 | 3.15625 | 3 | [] | no_license | #!bin/bash
fun_bar () {
comando="$1"
_=$(
$comando > /dev/null 2>&1
) & > /dev/null
pid=$!
while [[ -d /proc/$pid ]]; do
echo -ne " \033[1;33m["
for((i=0; i<10; i++)); do
echo -ne "\033[1;31m##"
sleep 0.2
done
echo -ne "\033[1;33m]"
sleep 1s
echo
tput cuu1
tput dl1
done
echo -e " \033[1;33m[\033[1;31m#####... | true |
273d6868c6b36930d416b2619ff8e31dee4268d1 | Shell | randomn4me/bin | /radio | UTF-8 | 790 | 3.828125 | 4 | [
"ISC"
] | permissive | #!/bin/sh
PID_FILE=/tmp/radio
RADIO_FILE=$XDG_CACHE_HOME/radio
usage() {
cat << EOF
Usage: $(basename $0) [-hl] <station>
stations: dfl nova kultur
EOF
exit
}
start() {
mpv --quiet $URL > /dev/null 2>&1 &
echo $! > $PID_FILE
echo $URL > $RADIO_FILE
}
off() {
kill `cat $PID_FILE`
rm $PID_FILE
}
CMD=`ech... | true |
2289a35af213b57a167c15ad652dd43aa8efd837 | Shell | Caesar-github/rk-rootfs-build | /overlay-debug/rockchip-test/ethernet/eth_test.sh | UTF-8 | 771 | 3.453125 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
DIR_ETH=/rockchip-test/ethernet
info_view()
{
echo "*****************************************************"
echo "*** ***"
echo "*** Ethernet TEST ***"
echo "*** ***"
... | true |
255101262484531b36e236b560485886675c3c39 | Shell | syncwerk/syncwerk-misc | /syncwerk-find-and-move-duplicates.sh | UTF-8 | 1,983 | 3.890625 | 4 | [] | no_license | #!/bin/bash
# Uncomment for verbose logging
# set -x
touch syncwerk-find-and-move-duplicates.log
# Enter each directory recursivly. Check if it contains duplicate files by calculating and comparing the inlcuded files md5 checksums. Saving result to dups_tmp0.txt
find "$(pwd)" -type d ! -name "syncwerk-found-duplicat... | true |
9527d71d060e3f08604b69e2a6f680552a44c1ab | Shell | VishnuPillai135/Shell-Project | /Basic Git written in Shell/test12.sh | UTF-8 | 196 | 2.546875 | 3 | [] | no_license | #if one file exists and the other doesn't, still return error message
#for legit-add
#echo "legit-add: error: can not open '"$var"'"
touch a
sh legit-init
sh legit-add a b
rm -rf .legit
rm -rf a
| true |
f0d1fe04888ce607d48e4a64cbf4218565519e93 | Shell | dataart-telco/restcomm-perf-test | /collectd-server/scripts/render_cpu.sh | UTF-8 | 793 | 2.765625 | 3 | [] | no_license | #!/bin/bash
host=$1
prefix=$2
file=$3/${host}_cpu.png
rrdtool graph $file \
-e now \
-s 'end-15m' \
-S 15 \
--title "Cpu usage" \
--vertical-label "Percents" \
--imgformat PNG \
--slope-mode \
--lower-limit 0 \
--upper-limit 100 \
--rigid \
-E \
-i \
--color SHADEA#FFFFFF \
--color SHADEB#FFFFFF \
-... | true |
66efd4a862c89865236d46d571605d9f6f8d8c64 | Shell | fsamuel-bs/stencil | /4.stencil/3.big-domains/1.non-tiled/submit.sh | UTF-8 | 1,131 | 2.734375 | 3 | [] | no_license | #!/bin/bash
#$ -q xeonphi
#$ -l phi=1
#$ -pe mpi 8
#$ -o out
#$ -e err
source /hpc/modulos/bash/intel-cluster_studio_xe_2016.sh
export SINK_LD_LIBRARY_PATH=/hpc/intel/cluster_studio_xe/compilers_and_libraries/linux/mpi/intel64/lib/:/hpc/intel/cluster_studio_xe_2016/compilers_and_libraries_2016/linux/mpi/mic/lib/:/hpc/... | true |
eca900e7e90d30b7d27ffbe13ea3d1059f2cf4aa | Shell | gtfour/automate | /automate.sh | UTF-8 | 10,690 | 3.640625 | 4 | [] | no_license | #!/bin/bash
#
# Run remote bash commands through sudo or not via ssh and printing color report
# author: sendmailwith@gmail.com
#
##
## Setting variables
##
SERVER_LST_FILE=""
COMMAND_FILE=""
SCRIPT_FILE=""
CRED_LINE=""
##
##
##
RUNNING_EXAMPLE_1=" \e[0;34mExample 1 : \n\t \e[1;36mautomate.sh -l server_list.txt -c... | true |
272ec99e99a567eed99529df13a5bc8b74fea6c2 | Shell | luanxiangming/performance | /go.sh | UTF-8 | 473 | 3.359375 | 3 | [] | no_license | #!/bin/bash
IMAGE_NAME=xiangming/java8:node6;
echo "Pulling latest code...";
git pull --all
if ! docker ps | grep "performance" | grep -v grep; then
echo "Running docker image...";
docker run \
--tty \
--interactive \
--volume=$(pwd):/root/Developer/performance \
--workdir=/root/Developer/perfor... | true |
5b3d9ea16c428c14c91bd74d22f64115f44c8ec9 | Shell | BR0kEN-/clib | /help.sh | UTF-8 | 1,176 | 3.4375 | 3 | [] | no_license | #!/usr/bin/env bash
_clib_green()
{
coloredMessage "${1}" 2
}
_clib_yellow()
{
coloredMessage "${1}" 3
}
_clib_blue()
{
coloredMessage "${1}" 4
}
_clib_command()
{
local arguments=""
for ((i = 4; i <= $#; i++)); do
arguments+=" `_clib_green "<${!i}>"`"
done
echo "`_clib_yellow "Command:"`
`_cl... | true |
1aa5ceed3140959d42f2b3098086560e1e175033 | Shell | phonedotcom/mason-laravel | /hooks/pre-commit | UTF-8 | 2,464 | 3.71875 | 4 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
echo "[$(basename $0) hook START]"
ORIG_DIR="$(pwd)"
PROJECT="$(git rev-parse --show-toplevel)"
cd "$PROJECT"
STAGED_FILES_CMD=`git diff --cached --name-only --diff-filter=ACMR HEAD | grep \\\\.php | grep -v _ide_helper\\\\.php`
# Determine if a file list is passed
if [ "$#" -eq 1 ]; then
oIFS=$IFS
IFS... | true |
fd7e58799ca6cbb3358cdc1baf8358ef0d88e72e | Shell | PasaLab/tachyon | /deploy/vagrant/provision/roles/zookeeper/files/download_release.sh | UTF-8 | 337 | 3.0625 | 3 | [
"Unlicense",
"Apache-2.0",
"EPL-1.0",
"MIT",
"LicenseRef-scancode-proprietary-license",
"LicenseRef-scancode-warranty-disclaimer",
"BSD-2-Clause",
"LicenseRef-scancode-free-unknown",
"BSD-3-Clause",
"CC-PDDC",
"LicenseRef-scancode-public-domain"
] | permissive | #!/usr/bin/env bash
mkdir -p /vagrant/shared
DIST="/vagrant/shared/zookeeper-${ZOOKEEPER_VERSION}.tar.gz"
if [[ ! -f "${DIST}" ]]; then
wget -q "http://archive.apache.org/dist/zookeeper/zookeeper-${ZOOKEEPER_VERSION}/zookeeper-${ZOOKEEPER_VERSION}.tar.gz" -P /vagrant/shared
fi
tar xzf "${DIST}" -C /zookeeper --st... | true |
8b977cc491bffd52b0c4d84c71192b0ee678c8be | Shell | Fadarrizz/dotfiles | /git/.git_template/hooks/ctags | UTF-8 | 201 | 2.609375 | 3 | [] | no_license | #!/bin/sh
set -e
PATH="/usr/local/bin:$PATH"
trap 'rm -f "$$.tags"' EXIT
git ls-files | \
ctags --tag-relative -L - -f"$$.tags" --fields=+aimlS --languages=php --PHP-kinds=+cf-va
mv "$$.tags" "tags"
| true |
228ce2e831eb39b77fa9ef65dddf8c3de8d831ee | Shell | unofficial-inteno-public-mirror/uci-diff | /uci-diff.sh | UTF-8 | 2,245 | 4.0625 | 4 | [] | no_license | #!/bin/sh
#Author: Reidar Cederqvist
####### includes ######################
#. /usr/share/libubox/jshn.sh
####### end of includes ###############
####### helper functions ##############
print_usage() {
echo -e "usage: $0 <action>\n"
echo -e "actions:\n"
echo -e "\t-d|--diff diff-file orig-file out-file //create a ... | true |
218917ce5d2f9e07e28242aec7b9234987dde895 | Shell | kellyjf/presentations | /network/defs.sh | UTF-8 | 2,240 | 3.84375 | 4 | [] | no_license | #!/bin/bash -eu
# Helper function to reliably create a new namespace
function newns {
nsname=$1
ip netns del $nsname &> /dev/null || true
ip netns add $nsname
ip netns exec $nsname ip link set lo up
}
# Create a new link between namespaces
function newlink {
wanname=${1:-}
lanname=${2:-}
subnet=${3:-192.168.1... | true |
b679d41d588052e327a94a400a1d742e51053503 | Shell | grawity/code | /bin/misc/pkg | UTF-8 | 3,378 | 3.96875 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
. lib.bash || exit
. libks.bash || exit
# create file list from directory
list_create() {
local dir="$1"
find "$dir" -printf '%Y %m ./%P\n'
}
# remove files according to list
list_remove() {
local list="$1"
local ftype mode path
tac "$list" | while read -r ftype mode path; do
path="$PREFI... | true |
f3e0da1e18c00c594fe047c95e9ee36babae23e5 | Shell | TheGhostHuCodes/21CC | /Ch03_PackagingYourProject/iftest/iftest.sh | UTF-8 | 147 | 3.09375 | 3 | [] | no_license | #!/bin/bash
if test ! -e a_test_file; then
echo test file had not existed
touch a_test_file
else
echo test file existed
rm a_test_file
fi
| true |
22ee68faed423c3b11a4d66a80273aabc23eef7d | Shell | talosiot/vera | /bin/get_github_deploykey | UTF-8 | 240 | 3.125 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
remote_name=$(git remote get-url origin)
#aws secret names cant have colon
secret_name=$(echo "$remote_name" | sed 's/:/\//g')
which get_secret || { echo "Must add vera to path"; exit 1; }
get_secret -n $secret_name
| true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.